void main()
{

        void self        = getlocalvar("self");
        void parent      = getentityproperty(self, "parent");
        void parentmodel = getentityproperty(parent, "model");
        void selfmodel   = getentityproperty(self, "model");

        


          
         bindentity(self, parent, -70, 0, 170, -1, 1); 
         changeentityproperty(self, "nopain", 0);
             

        if(parentmodel== "Clone5" && selfmodel=="shot7v" )
           {
        killentity(self);
           }

        
       
}

